Bug 688902 - fetch-crl3 UTF-8 errors decoding entities post earthquake.
Summary: fetch-crl3 UTF-8 errors decoding entities post earthquake.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fetch-crl3
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-18 12:57 UTC by Steve Traylen
Modified: 2011-04-06 22:55 UTC (History)
2 users (show)

Fixed In Version: fetch-crl-3.0.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-25 07:04:29 UTC
Type: ---


Attachments (Terms of Use)

Description Steve Traylen 2011-03-18 12:57:55 UTC
Description of problem:

Running fetch-crl today has started producing and error

VERBOSE(1) Initializing trust anchor a87d9192
Parsing of undecoded UTF-8 will give garbage when decoding entities at /usr/lib/perl5/vendor_perl/5.8.8/LWP/Protocol.pm line 114.
VERBOSE(0) Download error http://www.naregi.org/ca/out-CRL2.crl: 404 Not Found
VERBOSE(1) CRL retrieval for NAREGI failed from all URLs

Version-Release number of selected component (if applicable):

fetch-crl3-3.0.4-1.el5

How reproducible:

Every time.

Steps to Reproduce:
1. Run fetch-crl3.

Actual results:

Parsing of undecoded UTF-8 will give garbage when decoding entities at /usr/lib/perl5/vendor_perl/5.8.8/LWP/Protocol.pm line 114.
VERBOSE(0) Download error http://www.naregi.org/ca/out-CRL2.crl: 404 Not Found

but in particular 

Parsing of undecoded UTF-8 will give garbage when decoding entities at /usr/lib/perl5/vendor_perl/5.8.8/LWP/Protocol.pm line 114.

The other items are of course perfectly okay.

Expected results:

A clearer error message rather than perl output or don't parse a 404 in the first place.

Additional info:

Cleaning everything from /etc/grid-security/certificates so it only contains:

-rw-r--r-- 1 root root 1341 Sep 27 13:46 a87d9192.signing_policy
-rw-r--r-- 1 root root  518 Sep 27 13:46 a87d9192.namespaces
-rw-r--r-- 1 root root  243 Sep 27 13:46 a87d9192.info
-rw-r--r-- 1 root root   38 Sep 27 13:46 a87d9192.crl_url
-rw-r--r-- 1 root root 1306 Sep 27 13:46 a87d9192.0
-rw-r--r-- 1 root root 1412 Mar 17 18:44 a87d9192.r0

then the error is still present.

# fetch-crl3 --verbose -d 10
VERBOSE(1) Initializing trust anchor 10
ERROR No trust anchor metadata for 10 in '/etc/grid-security/certificates/'
VERBOSE(1) Initializing trust anchor a87d9192
Parsing of undecoded UTF-8 will give garbage when decoding entities at /usr/lib/perl5/vendor_perl/5.8.8/LWP/Protocol.pm line 114.
VERBOSE(0) Download error http://www.naregi.org/ca/out-CRL2.crl: 404 Not Found
VERBOSE(1) CRL retrieval for NAREGI failed from all URLs

So UTF8 in the 404 page.

Comment 1 Steve Traylen 2011-03-20 12:06:55 UTC
Changes in 3.0.6-1
----------------------
* Response parsing disabled to suppress superfluous warning on unexpected 
  UTF-8 respons when retrieving a CRL (solves RedHat Bugzilla 688902)

Comment 2 Fedora Update System 2011-03-20 12:57:46 UTC
fetch-crl-3.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fetch-crl-3.0.6-1.el6

Comment 3 Fedora Update System 2011-03-20 12:57:53 UTC
fetch-crl3-3.0.6-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/fetch-crl3-3.0.6-1.el4

Comment 4 Fedora Update System 2011-03-20 12:58:00 UTC
fetch-crl-3.0.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fetch-crl-3.0.6-1.fc15

Comment 5 Fedora Update System 2011-03-20 12:58:07 UTC
fetch-crl3-3.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fetch-crl3-3.0.6-1.el5

Comment 6 Fedora Update System 2011-03-25 07:04:23 UTC
fetch-crl-3.0.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-04-06 22:53:52 UTC
fetch-crl3-3.0.6-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-06 22:54:41 UTC
fetch-crl3-3.0.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-06 22:55:45 UTC
fetch-crl-3.0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.